From 824a1c64c1bfa373b1b2b7a2cfd3792cef6a665c Mon Sep 17 00:00:00 2001
From: Egbert Eich <eich@suse.com>
Date: Wed, 18 May 2022 15:09:34 +0200
Subject: [PATCH 24/34] Add missing set_agent_arg_r_uid()

Signed-off-by: Egbert Eich <eich@suse.com>
---
 src/plugins/checkpoint/blcr/checkpoint_blcr.c | 1 +
 1 file changed, 1 insertion(+)

diff --git a/src/plugins/checkpoint/blcr/checkpoint_blcr.c b/src/plugins/checkpoint/blcr/checkpoint_blcr.c
index 32c3263d96..9659aede6f 100644
--- a/src/plugins/checkpoint/blcr/checkpoint_blcr.c
+++ b/src/plugins/checkpoint/blcr/checkpoint_blcr.c
@@ -603,6 +603,7 @@ static void _send_sig(uint32_t job_id, uint32_t step_id, uint16_t signal,
 	}
 	hostlist_iterator_destroy(hi);
 
+	set_agent_arg_r_uid(agent_args, SLURM_AUTH_UID_ANY);
 	agent_queue_request(agent_args);
 }
 
-- 
2.35.3


